Ask Your Question
0

Turtlebot with Groovy failed.

asked 2013-03-03 01:23:31 -0600

Hyon Lim gravatar image

updated 2013-03-03 06:31:10 -0600

ahendrix gravatar image

Hi. I've got following error with turtlebot_bringup, in ROS Groovy. I have followed http://ros.org/wiki/Robots/TurtleBot. Anyone succeeded to run turtlebot in Groovy?

/opt/ros/groovy/stacks/turtlebot_create/create_node/nodes/turtlebot_node.py:56: UserWarning: roslib.rosenv is deprecated, please use rospkg or rosgraph.rosenv
  import roslib.rosenv
Traceback (most recent call last):
  File "/opt/ros/groovy/stacks/turtlebot_create/create_node/nodes/turtlebot_node.py", line 65, in <module>
    from turtlebot_driver import Turtlebot, MAX_WHEEL_SPEED, DriverError
ImportError: No module named turtlebot_driver
edit retag flag offensive close merge delete

Comments

It works with ubuntu 12.04 LTS. Try this version and check.

Devasena Inupakutika gravatar imageDevasena Inupakutika ( 2013-03-03 03:10:22 -0600 )edit

I get the same fatal error as @Hyon Lim when using a Create-based TurtleBot. I am using Ubuntu 12.04LTS and the latest Groovy debs. The file turtlebot_driver.py does not exist anywhere under /opt/ros/groovy. It does exist under /opt/ros/fuerte.

Pi Robot gravatar imagePi Robot ( 2013-03-03 11:03:00 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
2

answered 2013-03-03 12:46:11 -0600

jorge gravatar image

updated 2013-03-03 12:47:02 -0600

Hello all,

Daniel Stonier already provided a solution on Turtlebot SIG:

https://groups.google.com/forum/#!topic/ros-sig-turtlebot/To8BAPnLDeA

I copy/paste it here:

If you're using the create base these are only working from the turtlebot_xxx 2.0.0+ deb releases. I backported the turtlebot code to work with the create and bugfixed various things going from 1.9.x to 2.0.x - the first warning you have above is indicative of 1.9.x so I'm guessing that's what you have.

If you want to test the new release immediately. then can you try changing your ubuntu repository to use ros-shadow-fixed and upgrade.

Also make sure to check melonee's advice about the pip installed rospkg, rosdep, rosinstall, vcstools. Keep uninstalling them until nothing is left. I think everyone in our lab has been bitten by that one.

Cheers, Daniel.

edit flag offensive delete link more

Comments

The error is gone now that I have the turtlebot_xxx 2.0.0+ deb releases on Ubuntu 12.04LTS and I can now teleoperate the Create. Thanks!

Pi Robot gravatar imagePi Robot ( 2013-03-06 02:53:35 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-03-03 01:23:31 -0600

Seen: 216 times

Last updated: Mar 03 '13